!
! CDDL HEADER START
!
! The contents of this file are subject to the terms of the Common Development
! and Distribution License Version 1.0 (the "License").
!
! You can obtain a copy of the license at
! http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
! specific language governing permissions and limitations under the License.
!
! When distributing Covered Code, include this CDDL HEADER in each file and
! include the License file in a prominent location with the name LICENSE.CDDL.
! If applicable, add the following below this CDDL HEADER, with the fields
! enclosed by brackets "[]" replaced with your own identifying information:
!
! Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
!
! CDDL HEADER END
!
! Copyright (c) 2015, Regents of the University of Minnesota.
! All rights reserved.
!
! Contributors:
!    Nikhil C. Admal
!    Ellad B. Tadmor
!
! Release: This file is part of the MDStressLab git repository.
!
!-------------------------------------------------------------------------------
! MODULE mod_nonstandard : This file contains compiler-specific
!                     implementations of non-standard commands
!                     used by the code.
!
! Compiler : Default (will work with most compilers)
!
! type definitions:
! ----------------
! N/A
!
! Real Variable Definitions:
! -------------------------------------
! N/A
!
! Integer Variable Definitions:
! ----------------------------
! N/A
!
! logical Variable Definitions:
! ----------------------------
! N/A
!
! Contains Routines:
! ------------------
! qcflush  : Flush buffer command
! qcsystem : Issue O/S command
!


module mod_nonstandard

save
private
public qcflush, qcsystem

Contains

    !-------------------------------------------------------------------------------
    ! qcflush : Flush buffer command
    !
    subroutine qcflush(logic)
    implicit none

    !-- Transferred Variables
    integer, intent(in) :: logic

    call flush(logic)
    return 
    end subroutine qcflush

    
    !-------------------------------------------------------------------------------
    ! qcsystem : Issue O/S command
    !
    subroutine qcsystem(oscommand)

    !-- Transferred Variables
    character(len=80), intent(in) :: oscommand

    call system(oscommand)
    return
    end subroutine qcsystem

end module mod_nonstandard
