!
! CDDL HEADER START
!
! The contents of this file are subject to the terms of the Common Development
! and Distribution License Version 1.0 (the "License").
!
! You can obtain a copy of the license at
! http://www.opensource.org/licenses/CDDL-1.0.  See the License for the
! specific language governing permissions and limitations under the License.
!
! When distributing Covered Code, include this CDDL HEADER in each file and
! include the License file in a prominent location with the name LICENSE.CDDL.
! If applicable, add the following below this CDDL HEADER, with the fields
! enclosed by brackets "[]" replaced with your own identifying information:
!
! Portions Copyright (c) [yyyy] [name of copyright owner]. All rights reserved.
!
! CDDL HEADER END
!
! Copyright (c) 2015, Regents of the University of Minnesota.
! All rights reserved.
!
! Contributors:
!    Nikhil C. Admal
!    Ellad B. Tadmor
!
! Release: This file is part of the MDStressLab git repository.
!
!****************************************************************************
!**
!**   MODULE mod_types : type definitions used by other modules
!**
!**   type definitions:
!**   ----------------
!**   type(atom)  variables:
!**         %x(dimn) - coordinates of each atom
!**         %v(dimn) - velocity of each atom
!**         %a(dimn) - acceleration of each atom
!**
!**   type(spec) variables:
!**         %mass - mass of the species
!**
!**   Real Variable Definitions:
!**   -------------------------------------
!**   N/A
!**
!**   Integer Variable Definitions:
!**   ----------------------------
!**   N/A
!**  
!**   logical Variable Definitions:
!**   ----------------------------
!**   N/A
!**
!**   Contains Routines:
!**   ------------------
!**   N/A
!****************************************************************************
module mod_types
use mod_global, only:dp
save
private
public atom,species

type atom
    real(kind=dp),allocatable,dimension(:) :: x,v
    type(species), pointer :: sp_ptr
    real(kind=dp) :: ene_pot, ene_kin
end type atom

type species
    character(len=2) :: id
    real(kind=dp) :: mass
end type species
end module mod_types
